----------------------------------------------------------------------
-- Created by Actel SmartDesign Sat Jul 31 11:54:54 2010
-- Testbench Template
-- This is a basic testbench that instantiates your design with basic 
-- clock and reset pins connected.  If your design has special
-- clock/reset or testbench driver requirements then you should 
-- copy this file and modify it. 
----------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity testbench is
end testbench;

architecture behavioral of testbench is

    constant SYSCLK_PERIOD : time := 100 ns;

    signal SYSCLK : std_logic := '0';
    signal NSYSRESET : std_logic := '0';

    component TUTORIAL1_TOP
        -- ports
        port( 
            -- Inputs
            UART_0_RXD : in std_logic;
            MSS_RESET_N : in std_logic;

            -- Outputs
            UART_0_TXD : out std_logic;
            M2F_GPO_24 : out std_logic;
            M2F_GPO_25 : out std_logic;
            M2F_GPO_27 : out std_logic;
            M2F_GPO_26 : out std_logic

            -- Inouts

        );
    end component;

begin

    process
        variable vhdl_initial : BOOLEAN := TRUE;

    begin
        if ( vhdl_initial ) then
            -- Assert Reset
            NSYSRESET <= '0';
            wait for ( SYSCLK_PERIOD * 10 );
            
            NSYSRESET <= '1';
            wait;
        end if;
    end process;

    -- 10MHz Clock Driver
    SYSCLK <= not SYSCLK after (SYSCLK_PERIOD / 2.0 );

    -- Instantiate Unit Under Test:  TUTORIAL1_TOP
    TUTORIAL1_TOP_0 : TUTORIAL1_TOP
        -- port map
        port map( 
            -- Inputs
            UART_0_RXD => '0',
            MSS_RESET_N => NSYSRESET,

            -- Outputs
            UART_0_TXD =>  open,
            M2F_GPO_24 =>  open,
            M2F_GPO_25 =>  open,
            M2F_GPO_27 =>  open,
            M2F_GPO_26 =>  open

            -- Inouts

        );

end behavioral;

