----------------------------------------------------------------------
-- Created by Actel SmartDesign Sun Aug 29 13:35:24 2010
-- Testbench Template
-- This is a basic testbench that instantiates your design with basic 
-- clock and reset pins connected.  If your design has special
-- clock/reset or testbench driver requirements then you should 
-- copy this file and modify it. 
----------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity testbench is
end testbench;

architecture behavioral of testbench is

    constant SYSCLK_PERIOD : time := 100 ns;

    signal SYSCLK : std_logic := '0';
    signal NSYSRESET : std_logic := '0';

    component lab2fpga
        -- ports
        port( 
            -- Inputs
            F2M_GPI_1 : in std_logic;
            F2M_GPI_0 : in std_logic;
            MSS_RESET_N : in std_logic;

            -- Outputs
            M2F_GPO_31 : out std_logic;
            M2F_GPO_30 : out std_logic;
            M2F_GPO_29 : out std_logic;
            M2F_GPO_28 : out std_logic;
            M2F_GPO_27 : out std_logic;
            M2F_GPO_26 : out std_logic;
            M2F_GPO_25 : out std_logic;
            M2F_GPO_24 : out std_logic

            -- Inouts

        );
    end component;

begin

    process
        variable vhdl_initial : BOOLEAN := TRUE;

    begin
        if ( vhdl_initial ) then
            -- Assert Reset
            NSYSRESET <= '0';
            wait for ( SYSCLK_PERIOD * 10 );
            
            NSYSRESET <= '1';
            wait;
        end if;
    end process;

    -- 10MHz Clock Driver
    SYSCLK <= not SYSCLK after (SYSCLK_PERIOD / 2.0 );

    -- Instantiate Unit Under Test:  lab2fpga
    lab2fpga_0 : lab2fpga
        -- port map
        port map( 
            -- Inputs
            F2M_GPI_1 => '0',
            F2M_GPI_0 => '0',
            MSS_RESET_N => NSYSRESET,

            -- Outputs
            M2F_GPO_31 =>  open,
            M2F_GPO_30 =>  open,
            M2F_GPO_29 =>  open,
            M2F_GPO_28 =>  open,
            M2F_GPO_27 =>  open,
            M2F_GPO_26 =>  open,
            M2F_GPO_25 =>  open,
            M2F_GPO_24 =>  open

            -- Inouts

        );

end behavioral;

